;
; AutoIt Version: 3.0
; Language: English
; Platform: Win9x/NT
; Author: Samuel Murray (leuce@...)
;
; Script Function:
; Calls Spellcatcher for spell-checking a translated segment
; in OmegaT. User presses shortcut, segment is highlighted,
; and Spellcatcher is activated. No big deal.

; System requirements:
; * OmegaT (from http://www.omegat.org/omegat/omegat.html)
; * Spellcatcher (from http://www.spellcatcher.com/)

; Usage:
; When you're done translating the segment, press the hotkey
; and pray. Do not forget to exit the script manually after
; you're done with your translation... otherwise it stays
; resident until you shut down.

; The hotkey for exiting the script is Ctrl+Alt+X firmly.
; You can also right-click the icon in the systray and select
; "exit" or similar, obviously.

HotKeySet("^!x", "MyExit")

; Let the script stay resident in memory and let the hotkey
; be active. When the hotkey is pressed, execute the
; SpellCheck function.

HotKeySet ("!{ENTER}", "SpellCheck")

While 1
Sleep (100)
WEnd

; This is the SpellCheck function.

Func SpellCheck()

; ! = alt, + = shift, ^ = ctrl, and use lowercase
; letters...

WinWaitActive ("OmegaT", "")
Send ("^a")
Send ("!+^p")

EndFunc

; This is the script ending function.

Func MyExit()
Exit
EndFunc

Exit